using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

namespace TFramework
{
    public abstract class InputDeviceBase
    {

        protected InputManager InputManager => Main.GetMagr<InputManager>();

        /// <summary>
        /// 设备启动
        /// </summary>
        public abstract void OnStartUp();
        /// <summary>
        /// 设备运作
        /// </summary>
        public abstract void OnRun();
        /// <summary>
        /// 设备关闭
        /// </summary>
        public abstract void OnShutdown();
    }
}
